<template>
  <div class="login-page">
    <h1>Hi! This is the cookie shopeee pe pe</h1>
    <h2>You need to be logged in via Keycloak to go inside shop</h2>
    <button @click="goToShop()" class="btn">Go to shop!</button>
    <p>
      If you don't have your account yet. Register <a href="/register">here</a>
    </p>
  </div>
</template>

<script>
export default {
  data() {
    return {
      test: "test",
    };
  },
  methods: {
    goToShop() {
      this.$router.push("/shop");
    },
  },
};
</script>

<style scoped>
.login-page {
  margin: 0;
  padding-top: 1px;
  text-align: center;
}
.btn {
  font-size: 24px;
  background: #b0a797;
  color: black;
  text-decoration: none;
  padding: 5px;
  border: 2px solid #463412;
  font-weight: bold;
  margin: 3px;
  border-radius: 3px;
  display: inline-block;
  transition: all 0.3s;
  cursor: pointer;
}
.btn:hover {
  color: white;
  background: #444;
}
</style>
